/*
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * *******************************************************************
 * NOTE: If any of the items in this file change, especially the
 * format of the control packet, please update the Java equivalent, or
 * ask Pat/Tim to update it.
 * *******************************************************************
 */

#define STATS_VERSION_MOAB  0x4d6f6162 /* "Moab" */
#define STATS_VERSION_JANOS 0x4a617661 /* "Java" */

#define STAT_RECV_PORT 8192

/*
 * XXX don't want to include nodeos include files under unix
 */
#ifndef _NODEOS_TIME_H_
#include <time.h>
typedef struct timespec an_timespec_t;

#endif

/*
 * Format of stat packet sent over the stat channel
 */
typedef struct {
	int		version; /* identify C vs. Java version of packet. */
	an_timespec_t	timestamp;
	an_flowstats_t	dataflow;
	an_flowstats_t	nethogflow;
	an_flowstats_t	cpuhogflow;
	an_flowstats_t	memhogflow;
	an_chanstats_t	datachan;
#if 0
	an_chanstats_t	datachan2;
#endif
	an_chanstats_t	nethogchan;
	an_mempoolstats_t mempool;
} stat_packet_t;
