/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * NodeOS Credential API
 * XXX as of yet undefined
 */
#ifndef _NODEOS_CRED_H_
#define _NODEOS_CRED_H_

#ifdef NODEOS_SPEC_COMPAT
#define an_Credentials an_cred_t
#define an_credentialId an_cred_current
#endif

#include <nodeos/an_error.h>
#include <nodeos/impl/an_cred.h>

/*
 * Create a new, empty credential.
 * Returns a pointer to the object or NULL on error.
 */
an_cred_t *an_cred_create(void *mem);

/*
 * Returns the credentials associated with the caller.
 */
an_cred_t *an_cred_current(void);

/*
 * XXX hack interfaces to manipulate resources in a credential
 */
an_error_t an_cred_resource_get(an_cred_t *cred,
				unsigned int *nthreads, unsigned int *cpurate,
				unsigned int *memtotal, unsigned int *netrate);

an_error_t an_cred_resource_xfer(an_cred_t *src, an_cred_t *dst,
				 unsigned int nthreads, unsigned int cpurate,
				 unsigned int memtotal, unsigned int netrate);

#endif /* _NODEOS_CRED_H_ */
