#
# Copyright (c) 2000 University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of Janos.
# 
# Janos is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License, version 2, as
# published by the Free Software Foundation.
# 
# Janos is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details, in the file
# COPYING.  If that file is not present, write to the Free
# Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
# 02111-1307, USA
# 
# The University of Utah and the Flux Group requests users to
# return to flux-dist@cs.utah.edu any improvements that they make.
#

INSTALL_HEADERDIR := $(INSTALL_INCDIR)/nodeos
SOURCE_HEADERS := $(wildcard $(SRCDIR)/*.h $(SRCDIR)/impl/*.h $(SRCDIR)/lib/*.h)

all all_p:
	$(SILENT_MAKE_INFORM) "ok."

clean:
	$(SILENT_MAKE_INFORM) "Header dir is always clean."

depend:
	@echo "WARNING: depend target is deprecated."

distclean:
	$(SILENT_MAKE_INFORM) "Scrubbing header directory."
	rm -f GNUmakefile

install install_p: install-dirs install-files


install-dirs: $(INSTALL_TOPDIR) $(INSTALL_INCDIR) \
	$(INSTALL_HEADERDIR) $(INSTALL_HEADERDIR)/impl $(INSTALL_HEADERDIR)/lib

$(INSTALL_TOPDIR):
	mkdir $@

$(INSTALL_INCDIR):
	mkdir $@

$(INSTALL_HEADERDIR):
	mkdir $@

$(INSTALL_HEADERDIR)/impl:
	mkdir $@

$(INSTALL_HEADERDIR)/lib:
	mkdir $@

install-files: $(subst $(SRCDIR),$(INSTALL_HEADERDIR),$(SOURCE_HEADERS))

$(INSTALL_HEADERDIR)/%: $(SRCDIR)/%
	@echo "installing $@"
	$(INSTALL_DATA) $< $@

.PHONY: all all_p
.PHONY: depend clean distclean
.PHONY: install install_p
.PHONY: install-dirs install-files
