/*
 * Copyright (c) 1999, 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * Moab Internal Setup API
 */
#ifndef _NODEOS_ANI_MOAB_SETUP_H_
#define _NODEOS_ANI_MOAB_SETUP_H_

#include <nodeos/impl/ani_cred.h>
#include <nodeos/impl/ani_flow.h>
#include <nodeos/impl/ani_mempool.h>

void ani_moab_setup(void);

int ani_moab_version(void);

void ani_moab_resources(ani_resource_t *res);

void ani_moab_start(ani_flow_t *root_flow, ani_cred_t *root_cred,
		    ani_mempool_t *root_mempool, int nthreads, int stacksize,
		    void **root_threads, void **root_threadstacks,
		    void (*initee_func)(void *), void *initee_arg);

void ani_moab_shutdown(void);

#endif /* _NODEOS_MOAB_SETUP_H_ */
