/*
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * The Debug API
 */
#include <nodeos/an_debug.h>
#include <nodeos/an_error.h>
#include <nodeos/impl/ani_nodeos.h>

#include "ani_debug.h"

/*
 * Set the Moab run-time debugging mask.  This function may *not* use
 * any other an_* functions as it can be called before
 * an_moab_setup().  Thus, it does not "enter" the nodeos or anything.
 *
 * Returns NULL if things went okay, otherwise returns a pointer to
 * the maskstr element that caused a problem.
 */
const char *
an_debug_setmask(const char *maskstr)
{
	const char *ret;

#ifdef DEBUG
	/*
	 * N.B. No copyin needed in our implementation.
	 */
	ret = ani_debug_setmaskstr(maskstr);
#else
	ret = NULL;
#endif

	return ret;
}

