/*
 * Copyright (c) 2000 The University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

/*
 * Hodge-podge of stuff for OSKit/UNIX
 */
#include <oskit/clientos.h>
#include <oskit/startup.h>
#include <oskit/threads/pthread.h>

#include "os.h"
#include "oskit_log.h"

void
ani_os_init_basic(void)
{
	ani_oskit_init_log();
	oskit_clientos_init_pthreads();
	start_clock();
	start_pthreads();

	start_network_native_pthreads();
}

void
ani_os_init_resources(ani_resource_t *res)
{
	/*
	 * XXX Fer now hack
	 */
	res->threads = 1000;		/* units: # of threads */
	res->timeslice = 10000;		/* units: microseconds */
	res->cpurate = 1*1000*1000;	/* units: cycles per second */
	res->memtotal = 128*1024*1024;	/* units: bytes */
	res->netrate = 100*1000*1000;	/* units: bits per second */

	res->stacksize = 128 * 1024;	/* XXX doesn't belong */
}

void
ani_os_time_current(an_timespec_t *curtime)
{
	struct timeval tv;
	int err;

	err = gettimeofday(&tv, 0);
	assert(err == 0);
	curtime->tv_sec = tv.tv_sec;
	curtime->tv_nsec = tv.tv_usec * 1000;
}

void
ani_os_dump_state(void *state)
{
	sigcontext_dump((struct sigcontext *)state);
}
