/*
 * Copyright (c) 2000 University of Utah and the Flux Group.
 * All rights reserved.
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */

#include <stdio.h>
#include <stdlib.h>
#include "pqueue.h"

/*
 * Allocate a fixed sized packet queue.
 */
pqueue_t *
pqueue_alloc(int maxsize)
{
	pqueue_t	*pqueue;

	if ((pqueue = (pqueue_t *) malloc(sizeof(pqueue_t) +
			  (sizeof(pqueue->packets[0]) * (maxsize+1)))) == NULL)
		return NULL;

	pqueue->qhead = pqueue->qtail = pqueue->qdrops = 0;
	pqueue->qmax  = maxsize;

	return pqueue;
}

void
pqueue_free(pqueue_t *pqueue)
{
	free(pqueue);
}

void
pqueue_dump(pqueue_t *pqueue)
{
	printf("PQ Dump: %p\n", pqueue);
	printf("Qmax:    %d\n", pqueue->qmax);
	printf("Qhead:   %d\n", pqueue->qhead);
	printf("Qtail:   %d\n", pqueue->qtail);
	printf("Qdrops:  %d\n", pqueue->qdrops);
	printf("Packets: %p\n", pqueue->packets);
}
